<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>＠his-view/template documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">＠his-view/template documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li class="breadcrumb-item">Components</li>
  <li class="breadcrumb-item"
  >
  AppStoreListComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" class="nav-link"
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
        <li class="nav-item">
            <a href="#templateData" class="nav-link"
                role="tab" id="templateData-tab" data-bs-toggle="tab" data-link="template">Template</a>
        </li>
        <li class="nav-item">
            <a href="#styleData" class="nav-link"
                role="tab" id="styleData-tab" data-bs-toggle="tab" data-link="style">Styles</a>
        </li>
        <li class="nav-item">
            <a href="#tree" class="nav-link"
                role="tab" id="tree-tab" data-bs-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app-store-editor-list/app-store-editor-list.component.ts</code>
</p>






<section data-compodoc="block-metadata">
    <h3>Metadata</h3>
    <table class="table table-sm table-hover metadata">
        <tbody>












            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>his-app-store-editor-list</code></td>
            </tr>

            <tr>
                <td class="col-md-3">Standalone</td>
                <td class="col-md-9"><code>true</code></td>
            </tr>

            <tr>
                <td class="col-md-3">imports</td>
                <td class="col-md-9">
                            <code>CommonModule</code>
                                <code><a href="../miscellaneous/variables.html#PrimeGroup" target="_self" >PrimeGroup</a></code>
                            <code>FormsModule</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./app-store-editor-list.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./app-store-editor-list.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="##appStoreEditorLayoutService" >#appStoreEditorLayoutService</a>
                            </li>
                            <li>
                                <a href="#headers" >headers</a>
                            </li>
                            <li>
                                <a href="#searchType" >searchType</a>
                            </li>
                            <li>
                                <a href="#searchValue" >searchValue</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#doListRowClick" >doListRowClick</a>
                            </li>
                            <li>
                                <a href="#onRowItemClick" >onRowItemClick</a>
                            </li>
                            <li>
                                <a href="#onSearchKeyUp" >onSearchKeyUp</a>
                            </li>
                            <li>
                                <a href="#onSearchListClick" >onSearchListClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#appStore" >appStore</a>
                            </li>
                            <li>
                                <a href="#appStores" >appStores</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Outputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#listRowClick" >listRowClick</a>
                            </li>
                        </ul>
                    </td>
                </tr>



                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#tableStyle" >tableStyle</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>


    <section data-compodoc="block-inputs">
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="appStore"></a>
                        <b>appStore</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>WritableSignal&lt;AppStore&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:27</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="appStores"></a>
                        <b>appStores</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>Signal&lt;AppStore[]&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:26</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <section data-compodoc="block-outputs">
    <h3 id="outputs">Outputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="listRowClick"></a>
                        <b>listRowClick</b>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>EventEmitter&lt;void&gt;</code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:29</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="doListRowClick"></a>
                    <span class="name">
                        <span ><b>doListRowClick</b></span>
                        <a href="#doListRowClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>doListRowClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="68"
                            class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:68</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>發射單行資料點擊事件</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onRowItemClick"></a>
                    <span class="name">
                        <span ><b>onRowItemClick</b></span>
                        <a href="#onRowItemClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onRowItemClick(appStores: AppStore)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="39"
                            class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:39</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>點下單行應用程式資料</p>
</div>

                    <div class="io-description">
                        <b>Parameters :</b>
                        
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                    <td>Description</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>appStores</td>
                                    <td>
                                            <code>AppStore</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                    <td>
                                        <p>點擊到的應用程式</p>

                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSearchKeyUp"></a>
                    <span class="name">
                        <span ><b>onSearchKeyUp</b></span>
                        <a href="#onSearchKeyUp"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSearchKeyUp()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="49"
                            class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:49</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下Enter開始查詢</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSearchListClick"></a>
                    <span class="name">
                        <span ><b>onSearchListClick</b></span>
                        <a href="#onSearchListClick"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSearchListClick()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="58"
                            class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:58</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-description"><p>按下搜尋按鈕</p>
</div>

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section data-compodoc="block-properties">
    
    <h3 id="inputs">
        Properties
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="#appStoreEditorLayoutService"></a>
                    <span class="name">
                            <span class="modifier">Private</span>
                        <span ><b>#appStoreEditorLayoutService</b></span>
                        <a href="##appStoreEditorLayoutService"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="../injectables/AppStoreEditorLayoutService.html" target="_self" >AppStoreEditorLayoutService</a></code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>inject(AppStoreEditorLayoutService)</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:21</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="headers"></a>
                    <span class="name">
                        <span ><b>headers</b></span>
                        <a href="#headers"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>    <code>string[]</code>

                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Default value : </i><code>[&#x27;程式代號&#x27;, &#x27;應用程式&#x27;, &#x27;網址路徑&#x27;, &#x27;程式語言&#x27;, &#x27;版本&#x27;, &#x27;維護人員&#x27;]</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:31</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="searchType"></a>
                    <span class="name">
                        <span ><b>searchType</b></span>
                        <a href="#searchType"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:23</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="searchValue"></a>
                    <span class="name">
                        <span ><b>searchValue</b></span>
                        <a href="#searchValue"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
                <tr>
                    <td class="col-md-4">
                        <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:24</a></div>
                        </td>
                    </tr>


        </tbody>
    </table>
</section>

    <section data-compodoc="block-accessors">
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="tableStyle"></a>
                        <span class="name"><b>tableStyle</b><a href="#tableStyle"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>tableStyle()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="76" class="link-to-prism">src/app/app-store-editor-list/app-store-editor-list.component.ts:76</a></div>
                                </td>
                            </tr>
                    <tr>
                        <td class="col-md-4">
                                <div class="io-description"><p>表格樣式</p>
</div>

                        </td>
                    </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, EventEmitter, Input, Output, Signal, WritableSignal, inject } from &#x27;@angular/core&#x27;;
import { CommonModule } from &#x27;@angular/common&#x27;;
import { RadioButtonModule } from &#x27;primeng/radiobutton&#x27;;
import { TableModule } from &#x27;primeng/table&#x27;;
import { ButtonModule } from &#x27;primeng/button&#x27;;
import { FormsModule } from &#x27;@angular/forms&#x27;;
import { AppStore } from &#x27;@his-viewmodel/app-store/src&#x27;;
import { AppStoreEditorLayoutService } from &#x27;../app-store-editor.service&#x27;;
import { AppStoreReq } from &#x27;@his-viewmodel/app-store/dist/app/app-store-req&#x27;;

const PrimeGroup &#x3D; [RadioButtonModule, TableModule, ButtonModule];
@Component({
  selector: &#x27;his-app-store-editor-list&#x27;,
  standalone: true,
  imports: [CommonModule, PrimeGroup, FormsModule],
  templateUrl: &#x27;./app-store-editor-list.component.html&#x27;,
  styleUrls: [&#x27;./app-store-editor-list.component.scss&#x27;]
})
export class AppStoreListComponent {

  #appStoreEditorLayoutService: AppStoreEditorLayoutService &#x3D; inject(AppStoreEditorLayoutService);

  searchType!: string;
  searchValue!: string;

  @Input() appStores!: Signal&lt;AppStore[]&gt;;
  @Input() appStore!: WritableSignal&lt;AppStore&gt;;

  @Output() listRowClick: EventEmitter&lt;void&gt; &#x3D; new EventEmitter();

  headers: string[] &#x3D; [&#x27;程式代號&#x27;, &#x27;應用程式&#x27;, &#x27;網址路徑&#x27;, &#x27;程式語言&#x27;, &#x27;版本&#x27;, &#x27;維護人員&#x27;];


  /**
   * 點下單行應用程式資料
   * @param {AppStore} appStores 點擊到的應用程式
   * @memberof AppStoreListComponent
   */
  onRowItemClick(appStores: AppStore) {

    this.appStore.set(Object.assign({}, appStores));
    this.doListRowClick();
  }

  /**
   * 按下Enter開始查詢
   * @memberof AppStoreListComponent
   */
  onSearchKeyUp() {

    this.#appStoreEditorLayoutService.getAppStores(new AppStoreReq(this.searchType, this.searchValue));
  }

  /**
   * 按下搜尋按鈕
   * @memberof AppStoreListComponent
   */
  onSearchListClick() {

    this.#appStoreEditorLayoutService.getAppStores(new AppStoreReq(this.searchType, this.searchValue));
  }


  /**
  * 發射單行資料點擊事件
  * @memberof App
  */
  doListRowClick() {

    this.listRowClick.emit();
  }

  /**
   * 表格樣式
   */
  get tableStyle() {

    return { &#x27;min-width&#x27;: &#x27;50rem&#x27; };
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;search&quot;&gt;
  &lt;div&gt;
    &lt;label i18n&gt;pick your search type : &lt;/label&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;box&quot;&gt;
    &lt;p-radioButton name&#x3D;&quot;searchType&quot; value&#x3D;&quot;appName&quot; [(ngModel)]&#x3D;&quot;searchType&quot; inputId&#x3D;&quot;appName&quot;&gt;&lt;/p-radioButton&gt;
    &lt;label for&#x3D;&quot;appName&quot; class&#x3D;&quot;ml-2&quot; i18n&gt;application&lt;/label&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;box&quot;&gt;
    &lt;p-radioButton name&#x3D;&quot;searchType&quot; value&#x3D;&quot;appUrl&quot; [(ngModel)]&#x3D;&quot;searchType&quot; inputId&#x3D;&quot;appUrl&quot;&gt;&lt;/p-radioButton&gt;
    &lt;label for&#x3D;&quot;appUrl&quot; class&#x3D;&quot;ml-2&quot; i18n&gt;url&lt;/label&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;box&quot;&gt;
    &lt;p-radioButton name&#x3D;&quot;searchType&quot; value&#x3D;&quot;appId&quot; [(ngModel)]&#x3D;&quot;searchType&quot; inputId&#x3D;&quot;appId&quot;&gt;&lt;/p-radioButton&gt;
    &lt;label for&#x3D;&quot;appId&quot; class&#x3D;&quot;ml-2&quot; i18n&gt;app id&lt;/label&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;box&quot;&gt;
    &lt;input type&#x3D;&quot;text&quot; i18n-placeholder placeholder&#x3D;&quot;key word&quot; pInputText [(ngModel)]&#x3D;&quot;searchValue&quot;
      (keyup.Enter)&#x3D;&quot;onSearchKeyUp()&quot; /&gt;
  &lt;/div&gt;

  &lt;div class&#x3D;&quot;box&quot;&gt;
    &lt;p-button (click)&#x3D;&quot;onSearchKeyUp()&quot; i18n&gt;search&lt;/p-button&gt;
  &lt;/div&gt;
&lt;/div&gt;

&lt;div class&#x3D;&quot;table&quot;&gt;
  &lt;p-table [tableStyle]&#x3D;&quot;tableStyle&quot; [value]&#x3D;&quot;appStores()&quot;&gt;
    &lt;ng-template pTemplate&#x3D;&quot;header&quot;&gt;
      &lt;tr&gt;
        &lt;th i18n&gt;app ID&lt;/th&gt;
        &lt;th i18n&gt;application&lt;/th&gt;
        &lt;th i18n&gt;url&lt;/th&gt;
        &lt;th i18n&gt;programing language&lt;/th&gt;
        &lt;th i18n&gt;app version&lt;/th&gt;
        &lt;th i18n&gt;mantainer&lt;/th&gt;
      &lt;/tr&gt;
    &lt;/ng-template&gt;
    &lt;ng-template pTemplate&#x3D;&quot;body&quot; let-appStroe&gt;
      &lt;tr (click)&#x3D;&quot;onRowItemClick(appStroe)&quot;&gt;
        &lt;td&gt;{{ appStroe.appId }}&lt;/td&gt;
        &lt;td&gt;{{ appStroe.appName }}&lt;/td&gt;
        &lt;td&gt;{{ appStroe.appUrl }}&lt;/td&gt;
        &lt;td&gt;{{ appStroe.program }}&lt;/td&gt;
        &lt;td&gt;{{ appStroe.versionNo }}&lt;/td&gt;
        &lt;td&gt;{{ appStroe.systemUser }}&lt;/td&gt;
      &lt;/tr&gt;
    &lt;/ng-template&gt;
  &lt;/p-table&gt;

&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="styleData">
                <p class="comment">
                    <code>./app-store-editor-list.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">:host ::ng-deep {
  .search {
    display: flex;

    .box{
      margin-left: 0.5rem;
      .p-inputtext{
        border-color: #F6F6F6;
      }

    }

    .p-button{
      background-color: #DBE5E1;
      border-color: #DBE5E1;
      color: black;
      padding: 1px;
      font-size: 13px;
    }
  }

  &amp; .p-datatable {
    margin-top: 1.5rem;

    .p-datatable-thead {
      background-color: #F6F6F6;
    }
  }

  .p-radiobutton .p-radiobutton-box.p-highlight {
    background: #006D50;
    border-color: #006D50;
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="search">  <div>    <label i18n>pick your search type : </label>  </div>  <div class="box">    <p-radioButton name="searchType" value="appName" [(ngModel)]="searchType" inputId="appName"></p-radioButton>    <label for="appName" class="ml-2" i18n>application</label>  </div>  <div class="box">    <p-radioButton name="searchType" value="appUrl" [(ngModel)]="searchType" inputId="appUrl"></p-radioButton>    <label for="appUrl" class="ml-2" i18n>url</label>  </div>  <div class="box">    <p-radioButton name="searchType" value="appId" [(ngModel)]="searchType" inputId="appId"></p-radioButton>    <label for="appId" class="ml-2" i18n>app id</label>  </div>  <div class="box">    <input type="text" i18n-placeholder placeholder="key word" pInputText [(ngModel)]="searchValue"      (keyup.Enter)="onSearchKeyUp()" />  </div>  <div class="box">    <p-button (click)="onSearchKeyUp()" i18n>search</p-button>  </div></div><div class="table">  <p-table [tableStyle]="tableStyle" [value]="appStores()">    <ng-template pTemplate="header">      <tr>        <th i18n>app ID</th>        <th i18n>application</th>        <th i18n>url</th>        <th i18n>programing language</th>        <th i18n>app version</th>        <th i18n>mantainer</th>      </tr>    </ng-template>    <ng-template pTemplate="body" let-appStroe>      <tr (click)="onRowItemClick(appStroe)">        <td>{{ appStroe.appId }}</td>        <td>{{ appStroe.appName }}</td>        <td>{{ appStroe.appUrl }}</td>        <td>{{ appStroe.program }}</td>        <td>{{ appStroe.versionNo }}</td>        <td>{{ appStroe.systemUser }}</td>      </tr>    </ng-template>  </p-table></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'AppStoreDocumentComponent', 'selector': 'his-app-store-editor-document'},{'name': 'AppStoreEditorToolbarComponent', 'selector': 'his-app-store-editor-toolbar'},{'name': 'AppStoreListComponent', 'selector': 'his-app-store-editor-list'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'AppStoreListComponent'};
</script>
<script src="../js/tree.js"></script>

















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'AppStoreListComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
